package utils

import (
  "log"
  "os"
  "runtime"

  "github.com/joho/godotenv"
)

func LoadCnf () {
  homedir, herr := os.UserHomeDir()
  if herr != nil {
    log.Fatal("ホームフォルダを見つけられませんでした。", herr)
  }
  homeconf := homedir + "/.config/gitlin.conf"

  conf := "/etc/gitlin/gitlin.conf" // Linux、OpenBSD、Solaris、Haiku
  if runtime.GOOS == "freebsd" {
    conf = "/usr/local/gitlin/gitlin.conf" // FreeBSDのみ
  } else if runtime.GOOS == "netbsd" {
    conf = "/usr/pkg/gitlin/gitlin.conf" // NetBSDのみ
  }

  err := godotenv.Load(homeconf)
  if err != nil {
    err2 := godotenv.Load(conf)
    if err2 != nil {
      log.Fatal("コンフィグファイルを見つけられませんでした。")
    }
  }
}
